Bug 1426486 - Unable to create catalog
Summary: Unable to create catalog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard: service
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-24 02:49 UTC by Shveta
Modified: 2017-05-31 14:36 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:36:33 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
add catalog (76.62 KB, image/png)
2017-02-24 02:49 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Shveta 2017-02-24 02:49:39 UTC
Created attachment 1257132 [details]
add catalog

Description of problem:


Version-Release number of selected component (if applicable):
5.8.0.2.20170223184827_489bf7c 

How reproducible:


Steps to Reproduce:
1. Add a new catalog does not show fields to fill data
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 CFME Bot 2017-02-27 17:37:46 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/4d236f68e661da10a817f3136441c5629d30cf44

commit 4d236f68e661da10a817f3136441c5629d30cf44
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Feb 27 10:18:53 2017 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Feb 27 10:18:53 2017 -0500

    Fixed condition.
    
    Fixed condition to only check for playbook type when adding/editing Catalog Items.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1426486

 app/controllers/catalog_controller.rb       |  2 +-
 spec/controllers/catalog_controller_spec.rb | 21 +++++++++++++++++++++
 2 files changed, 22 insertions(+), 1 deletion(-)

Comment 6 Shveta 2017-04-17 21:44:29 UTC
Fixed in 5.8.0.10-beta1-nightly.20170414034628_b979a0b

Comment 8 errata-xmlrpc 2017-05-31 14:36:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.